%define cobvers 1.1

Name: open-cobol
Version: 1.1
Release: alt1
Summary: OpenCOBOL - COBOL compiler

Group: Development/Other
License: GPLv2+ and LGPLv2+
Packager: Ilya Mashkin <oddity@altlinux.ru>

Url: http://www.opencobol.org
# Source:	http://downloads.sourceforge.net/%name/%name-%version.tar.gz
Source: http://www.sim-basis.de/%name-%version.tar.gz

BuildRequires: libgmp-devel 
BuildRequires: libreadline-devel
BuildRequires: libdb4.7-devel
BuildRequires: libtool
BuildRequires: libltdl7-devel libncurses-devel

Requires: gcc
Requires: glibc-devel
Requires: libgmp 
Requires: libgmp-devel 
Requires: libdb4.7
Requires: libncurses 
Requires: libcob = %version
Obsoletes: libcob-devel < 1.0.90
#Requires(post): /sbin/install-info

%description
OpenCOBOL is an open-source COBOL compiler, which translates COBOL
programs to C code and compiles it using GCC.

%package -n libcob
Summary: OpenCOBOL runtime library
Group: Development/Other

%description -n libcob
%summary.
Runtime libraries for OpenCOBOL

%prep
%setup -q -n %name-%cobvers

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure --disable-rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# set -D__NO_STRING_LINES for i86 systems

# %ifarch %ix86
# BUILDFLAGS="-D__NO_STRING_INLINES=1"
# %endif

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT/%_libdir -type f -name "*.*a" -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT/%_infodir/dir

%find_lang %name

%check
make check

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog
%doc NEWS README THANKS
%_bindir/cobc
%_bindir/cob-config
%_bindir/cobcrun
%_datadir/open-cobol
%_infodir/open-cobol.info*
%_includedir/*
%_libdir/libcob.so

%files -n libcob
%doc COPYING.LIB
%_libdir/libcob.so.*


%changelog
* Sun Mar 20 2011 Ilya Mashkin <oddity@altlinux.ru> 1.1-alt1
- Build version 20090206 for ALT Linux

* Mon Mar 23 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.1-0.20090206
- Adapt version to naming guidelines

* Mon Dec  1 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.95-3
- Obsoleting libcob-devel

* Tue Oct 21 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.95-2
- Fix Changelog entry
- Rebuild

* Mon Oct 20 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.95-1
- New upstream relase
- Fix FORTIFY_SOURCE issue (#464554)

* Mon Sep 15 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.90-4
- Remove _FORTIFY_SOURCE as adviced by the upstream

* Thu Sep 11 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.90-3
- Add -D__NO_STRING_INLINES for the i86 arch

* Sun Aug 17 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.90-2
- Fix dependency open-cobol -> libcob

* Tue Aug 12 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.90-1
- Prerelease of opben-cobol-1.1

* Tue Aug  5 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0-3
- Blocking Test #98 to failing

* Wed Jul 30 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0-2
- OpenCOBOL req. libcob-devel
- Fix URIs
- Fix tiwce groups

* Wed Jul 30 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0-1
- Initional Fedora RPM package

